### Property

# Clutter VirtualInputDevice:device-type

since: 13

#### Declaration

    property device-type: Clutter.InputDeviceType [ read, write, construct-only ]

#### Description

No description available.

Type: | `ClutterInputDeviceType`
Available since: | 13

Default value | CLUTTER_POINTER_DEVICE
Getter method | `clutter_virtual_input_device_get_device_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes